<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8" />
  <title>Przeglądanie katalogów</title>
</head>
<body>
  <h1>Przeglądanie</h1>

<?php
  $biezacy_katalog = "/sciezka/do/wyslane/";
  $biezacy_katalog ='z:/xampp/wyslane';
  $kat = opendir($biezacy_katalog);

  echo '<p>Katalog plików wysłanych to '.$biezacy_katalog.'</p>';
  echo '<p>Zawartość katalogu:</p><ul>';

  while(false !== ($plik = readdir($kat)))
  {
    // usunięcie dwóch pozycji: . i ..
    if ($plik != "." && $plik != "..")
    {
      echo '<li><a href="wlasciwoscipliku.php?plik='.$plik.'">'.$plik.'</a></li>';
    }
  }  
  echo '</ul>';
  closedir($kat);
?>

</body>
</html>
